Bug Hunting Session
Bug 99735 - WRITER: extra tabs in headers/footers at the end of lines, result in new lines in Writer, whereas Word ignores those
Summary: WRITER: extra tabs in headers/footers at the end of lines, result in new line...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:docx
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2016-05-08 21:07 UTC by Jeffrey Green
Modified: 2019-07-19 02:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file docx with superfluous tabs in header/footer (15.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-05-09 11:35 UTC, Cor Nouws
Details
screen prints: Word 2010 <> LibreOffice (25.89 KB, application/force-download)
2016-05-09 11:36 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey Green 2016-05-08 21:07:35 UTC
When I open certain files originally written in MS WORD, multiple, sometimes 100s of carriage returns are added before and after the text of the note. This happens with only one type of file, which was formatted with a different page size and margins. Also, very frequently, the text of an email is added in many places to a file.
Comment 1 Cor Nouws 2016-05-09 08:38:11 UTC
Thanks for filing Jeffry.
Can you please add a test file?
Comment 2 Cor Nouws 2016-05-09 11:35:58 UTC
Created attachment 124928 [details]
test file docx with superfluous tabs in header/footer
Comment 3 Cor Nouws 2016-05-09 11:36:35 UTC
Created attachment 124929 [details]
screen prints: Word 2010 <> LibreOffice
Comment 4 Cor Nouws 2016-05-09 11:39:34 UTC
Thanks for the test file by mail. Jeffrey.
I made a simpler example (would have thought we already have in issue for this..)
Comment 5 Timur 2017-08-08 14:16:02 UTC
Looks similar to attachment 102178 [details] from Bug 67106 where spaces at the end are ignored. So it's 1 page in Word and 2 page in Writer.
Comment 6 Timur 2018-07-18 10:53:04 UTC
Looks like a duplicate of Bug 40787. Can stay open though.
Comment 7 QA Administrators 2019-07-19 02:53:42 UTC
Dear Jeffrey Green,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug